## bible-kjv 4.15

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ###############################################################################
 #
 # File:         Makefile
-# RCS:          $Header: Makefile,v 1.27 93/04/27 12:57:55 chip Exp $
+# RCS:          $Header: /home/matthew/cvs/bible-kjv-4.10/Makefile,v 2.8 2003/07/26 10:05:06 matthew Exp $
 # Description:  Makefile for Bible Retrieval System
 # Author:       Chip Chapin, Hewlett Packard Company
 # Created:      Thu Aug 24 17:26:25 1989
@@ -15,11 +15,34 @@
 #
 # Revisions:
 #
-# Tue Apr 27 12:57:34 1993 (Chip Chapin) chip@hpclbis
-#  Removed dependencies from "install" target.
-###############################################################################
-#
-# $Log:	Makefile,v $
+# $Log: Makefile,v $
+# Revision 2.8  2003/07/26 10:05:06  matthew
+# 4.15 release
+#
+# Revision 2.7  2003/01/09 13:29:08  matthew
+# Remove a bit more cruft with clean
+#
+# Revision 2.6  2003/01/08 19:18:31  matthew
+# add an -f flag to the rm -f squish.stats, so this doesnt barf
+#
+# Revision 2.5  2003/01/08 18:29:12  matthew
+# patch from IWJ to make this -j compatible
+#
+# Revision 2.4  2003/01/08 16:14:17  matthew
+# tidy up header a little
+#
+# Revision 2.3  2003/01/08 16:13:29  matthew
+# remove clobber target, and make clean target remove everything that should go
+#
+# Revision 2.2  2003/01/08 16:08:50  matthew
+# clean target now removes things created by makeindex2
+#
+# Revision 2.1  2003/01/08 15:50:53  matthew
+# applied debian patch
+#
+# Revision 2.0  2003/01/08 15:29:51  matthew
+# versions collected from the net
+#
 # Revision 1.27  93/04/27  12:57:55  12:57:55  chip (Chip Chapin)
 # Removed dependencies from "install" target".
 #
@@ -50,12 +73,13 @@
 #DEST	      = $(HOME)/local
 DESTBIN	      = $(DEST)/bin
 DESTLIB       = $(DEST)/lib
-DESTMAN	      = $(DEST)/man
+DESTMAN	      = $(DEST)/share/man
 DESTMAN1      = $(DESTMAN)/man1
 
 # I use environment variables for these...
 #CFLAGS	      = -g
-CFLAGS	      = -O2 -fwritable-strings -DDESTLIB=\"$(DESTLIB)\"
+CFLAGS	      = -Wformat -Werror -g2 -O2 -fwritable-strings -DDESTLIB=\"$(DESTLIB)\"
+LDFLAGS       = -lreadline
 
 # release directories.  Nobody should care about this but me
 FTPHOME	      = /mnt/ftp
@@ -74,7 +98,7 @@
 
 SHELL	      = /bin/sh
 
-
+MKDIR       = install -d
 
 ###############################################################################
 # Sources, objects, and tools
@@ -193,9 +217,10 @@
 		@$(LD) $(LDFLAGS) $@.o util.o -o $@
 		@echo "done"
 		
-brl-startverse.h brl-startchapter.h:	$(RAWDATA)
+brl-startverse.h:	$(RAWDATA)
 		./makeindex2 $(RAWDATA)
 
+brl-startchapter.h: brl-startverse.h
 
 ###############################################################################
 # The nested makes are used on the following items to
@@ -205,12 +230,13 @@
 		make makeconcfile
 		./makeconcfile $@ < $(PROGRAM).rawconcordance
 
-squish.stats squish.data:	$(RAWDATA)
+squish.data:	$(RAWDATA)
 		make squish
 		if ./squish -w 65536 -v < $(RAWDATA) >squish.tmpdata; \
 		then	mv squish.tmpdata squish.data; \
-		else	rm squish.tmpdata squish.stats; fi
-		
+		else	rm -f squish.tmpdata squish.stats; fi
+		
+squish.stats:	squish.data
 
 $(PROGINDEX).c:	$(RAWDATA)
 		make makeindex
@@ -259,9 +285,10 @@
 		/bin/rm $@
 		gzip < $(MAN) > $(MAN).gz
 
-clean:;		@rm -f $(PROGOBJS) $(TOOLOBJS) core
-
-clobber:;	@rm -f $(PROGOBJS) $(TOOLOBJS) $(PROGRAM) $(TOOLS) $(DATA) \
+clean:;		@rm -f $(PROGOBJS) $(TOOLOBJS) core brl-startverse.h brl-startchapter.h vrs2num.index $(PROGINDEX).c $(PROGRAM) $(TOOLS) $(DATADIST) squish.stats squish.data tags $(PROGRAM).rawconcordance $(PROGRAM).wordcounts
+
+#Don't use this. Use clean :-)
+#clobber:;	@rm -f $(PROGOBJS) $(TOOLOBJS) $(PROGRAM) $(TOOLS) $(DATA) \
 			$(PROGINDEX).c squish.stats squish.data core tags
 
 # depend:;	@mkmf -f $(MAKEFILE) ROOT=$(ROOT)
@@ -392,26 +419,3 @@
 		$(INSTALL) README.ftp $(RELEASEDIR)/README.ftp
 
 ninstall:	$(NINSTPKG)
-		$(INSTALL) $(NINSTPKG) $(NINSTPKGDIR)
-		.do $(NINSTDIR)/restartd
-
-# The "install" target could be of general use.  That's why there are
-# no explicit dependencies here.  They just confuse things...
-install:
-		@if [ ! -r $(DEST) ]; then mkdir $(DEST); fi
-		@echo Installing $(PROGRAM) in $(DESTBIN)
-		@-strip $(PROGRAM)
-		@if [ ! -r $(DESTBIN) ]; then mkdir $(DESTBIN); fi
-		@if [ $(DESTBIN) != . ]; then \
-		((cd $(DESTBIN);rm -f $(PROGRAM)); \
-		cp $(PROGRAM) $(DESTBIN)); \
-		chown bin $(DESTBIN)/$(PROGRAM); \
-		chgrp bin $(DESTBIN)/$(PROGRAM); \
-		chmod 755 $(DESTBIN)/$(PROGRAM); fi
-		@echo Installing $(DATA) and $(DATA).conc in $(DESTLIB)
-		@if [ ! -r $(DESTLIB) ]; then mkdir $(DESTLIB); fi
-		@if [ $(DESTLIB) != . ]; then \
-		cp $(DATA) $(DATA).conc $(DESTLIB); \
-		chown bin $(DESTLIB)/$(DATA) $(DESTLIB)/$(DATA).conc; \
-		chgrp bin $(DESTLIB)/$(DATA) $(DESTLIB)/$(DATA).conc; \
-		chmod 644 $(DESTLIB)/$(DATA) $(DESTLIB)/$(DATA).conc; fi
