## bible-kjv 4.18

=== debian/changelog ===
bible-kjv (4.18) unstable; urgency=high

  * #include more header files (Closes: #291782)

 -- Matthew Vernon <matthew@debian.org>  Sun, 23 Jan 2005 11:29:56 +0000
	

bible-kjv (4.17) unstable; urgency=high

  * Remove -Wtraditional, since it behaves differently on newer versions
    of gcc (Closes: #291750)

 -- Matthew Vernon <matthew@debian.org>  Sat, 22 Jan 2005 23:34:15 +0000
	

bible-kjv (4.16) unstable; urgency=low

  * Prototype the tsl functions properly
  * Remove some nested comments
  * Prototype all of bible.c, make main return int, etc.
  * Remove unused rcs_ident variables from several places
  * Move function prototypes into header files
  * #include system headers where needed (string.h, unistd.h, etc)
  * Return int for the length of uncompressed buffer not char
  * Remove the one instance of writing over a string (Closes: #285505)
  * Remove duplicate declarations of libc functions (Closes: #258508)
  * Code is now much more like ANSI, less like K+R
	
 -- Matthew Vernon <matthew@debian.org>  Sat, 22 Jan 2005 19:03:01 +0000
	
