=== debian/control ===
Source: bible-kjv
Section: doc
Priority: optional
Maintainer: Matthew Vernon <matthew@debian.org>
Build-Depends: libreadline4-dev
Standards-Version: 3.5.6

Package: bible-kjv
Architecture: any
Depends: ${shlibs:Depends}, bible-kjv-text
Conflicts: verse (<= 0.20)
Suggests: verse
Description: King James Version of the Bible: user interface program.
 This package contains a text-retrieval program and user interface which is
 primarily designed to operate on the text and concordance of the King
 James translation of the Bible, although it could, in principle, be
 used for any text.  The search/browse engine allows searching and
 reading passages from scripture. Includes full concordance.
 .
 It would be nice if someone could set up a web interface for the bible.

Package: bible-kjv-text
Architecture: all
Depends: bible-kjv
Conflicts: bible-kjv (<< 4.00-5)
Description: King James Version of the Bible - text and concordance
 This package contains the King James Version of the Bible (translated in
 1611) which is and was widely used in the English speaking culture,
 together with a full concordance.
 .
 The text and concordance are compressed and require the bible-kjv package
 which contains a text-based user interface for accessing the text.
