## bible-kjv 4.19

=== debian/changelog ===
bible-kjv (4.19) unstable; urgency=low

  * Non-maintainer upload.
  - Applied patch to fix FTBFS with gcc-4.0 from Andreas Jochens
    <aj@andaco.de>. (closes: #292956)
  - Changed build-dependency to libncurses5-dev since libncurses4-dev is no
    longer available.

 -- Rob Bradford <robster@debian.org>  Wed, 17 Aug 2005 21:36:05 +0100
