## bible-kjv 4.20

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ###############################################################################
 #
 # File:         Makefile
-# RCS:          $Header: /home/matthew/cvs/bible-kjv-4.10/Makefile,v 2.8 2003/07/26 10:05:06 matthew Exp $
+# RCS:          $Header: /home/matthew/cvs/bible-kjv-4.10/Makefile,v 2.11 2005/01/22 23:31:01 matthew Exp $
 # Description:  Makefile for Bible Retrieval System
 # Author:       Chip Chapin, Hewlett Packard Company
 # Created:      Thu Aug 24 17:26:25 1989
@@ -16,6 +16,16 @@
 # Revisions:
 #
 # $Log: Makefile,v $
+# Revision 2.11  2005/01/22 23:31:01  matthew
+# Remove -traditional, since newer GCCs then object to ANSI
+# prototypes...
+#
+# Revision 2.10  2005/01/22 18:51:01  matthew
+# add more warnings
+#
+# Revision 2.9  2005/01/21 18:00:25  matthew
+# Remove -fwritable-strings
+#
 # Revision 2.8  2003/07/26 10:05:06  matthew
 # 4.15 release
 #
@@ -78,7 +88,7 @@
 
 # I use environment variables for these...
 #CFLAGS	      = -g
-CFLAGS	      = -Wformat -Werror -g2 -O2 -fwritable-strings -DDESTLIB=\"$(DESTLIB)\"
+CFLAGS	      = -Wall -Wformat -Werror -Wshadow -W -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wcast-align -Wcast-qual -Wbad-function-cast -Wpointer-arith -g2 -ggdb -DDESTLIB=\"$(DESTLIB)\"
 LDFLAGS       = -lreadline
 
 # release directories.  Nobody should care about this but me
@@ -409,13 +419,3 @@
 # The "relinstall" target puts all the pieces of a new release into place on 
 # my home distribution machine.  Probably nobody else will want this...
 relinstall: $(PROGRAM) $(DATA) $(DATA).conc $(TARFILES) \
-	    $(MAN) $(README) README.ftp ninstall
-		if hp9000s800;then $(INSTALL) $(PROGRAM) $(RELEASEDIR)/$(PROGRAM).hp-s800;fi
-		$(INSTALL) $(DATA) $(RELEASEDIR)
-		$(INSTALL) $(DATA).conc $(RELEASEDIR)
-		$(INSTALL) $(TARFILES) $(RELEASEDIR)
-		$(INSTALL) $(MAN) $(RELEASEDIR)
-		$(INSTALL) $(README) $(RELEASEDIR)/$(README)
-		$(INSTALL) README.ftp $(RELEASEDIR)/README.ftp
-
-ninstall:	$(NINSTPKG)
