=== debian/changelog ===
bible-kjv (4.20) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link (Closes: #359367, #359369). 

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Wed, 12 Jul 2006 14:25:06 +0200
