=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	$(checkdir)
 	-rm -f build
 	-$(MAKE) clean
-	-rm `find . -name "*~"`
+	-rm -f `find . -name "*~"`
 	-rm -rf debian/tmp debian/files* bible debian/bible-kjv-text \
 		debian/randverse debian/substvars randverse
