## bible-kjv 4.23

=== debian/changelog ===
bible-kjv (4.23) unstable; urgency=low

  * Remove obsolete Local variables section
  * #include <string.h> in bible.c - fixes Mac OS compilation failure
    (closes: #439735)

 -- Matthew Vernon <matthew@debian.org>  Tue, 11 Mar 2008 20:50:03 +0000

bible-kjv (4.22) unstable; urgency=low

  * Replace old sort +1 syntax with POSIX sort -k 2 (closes: #464267)
  * deal with nostrip DEB_BUILD_OPTION in debian/rules (closes: #436581)

 -- Matthew Vernon <matthew@debian.org>  Thu,  7 Feb 2008 20:50:11 +0000

bible-kjv (4.21) unstable; urgency=low
  
  * Note to NMUers - please number your versions -1,-2 etc...
  * fix capitalisation of Psa 92:1 (Closes: #458290)
  * Improve randverse(1) (thanks to Kevin Ryde) (Closes: #50126)
  
 -- Matthew Vernon <matthew@debian.org>  Tue, 15 Jan 2008 21:18:45 +0000
  
