## bible-kjv 4.24

=== debian/changelog ===
bible-kjv (4.24) unstable; urgency=low

  * change build-depends to libreadline-dev (closes: #553733)

 -- Matthew Vernon <matthew@debian.org>  Sat, 28 Nov 2009 13:57:13 +0000
