=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
-Build-Depends: libreadline5-dev
+Build-Depends: libreadline-dev
 Standards-Version: 3.5.6
 
 Package: bible-kjv
