## bible-kjv 4.24ubuntu1

=== debian/changelog ===
bible-kjv (4.24ubuntu1) lucid; urgency=low

  * brl.c: Fix format string error (and resulting FTBFS)
  * debian/control: Make bible-kjv-text recommend bible-kjv
    (closes: #382978)

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 08 Jan 2010 00:13:28 -0500
