=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bible-kjv
 Section: doc
 Priority: optional
-Maintainer: Matthew Vernon <matthew@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew Vernon <matthew@debian.org>
 Build-Depends: libreadline-dev
 Standards-Version: 3.5.6
 
@@ -21,7 +22,7 @@
 
 Package: bible-kjv-text
 Architecture: all
-Depends: bible-kjv
+Recommends: bible-kjv
 Conflicts: bible-kjv (<< 4.00-5)
 Description: King James Version of the Bible - text and concordance
  This package contains the King James Version of the Bible (translated in
