## bible-kjv 4.26

=== debian/changelog ===
bible-kjv (4.26) unstable; urgency=low

  * add format strings to two *printf statements, patch from Andreas Moog
    (Closes: #631685)

 -- Matthew Vernon <matthew@debian.org>  Mon, 04 Jul 2011 17:50:50 +0100

bible-kjv (4.25) unstable; urgency=low

  * correct text of Psa50:17 (closes: #623629)
  * correct case of Psa70:1 (closes: #630153)
  * add LDADD (Ubuntu patch from Andreas Moog) (closes: #631606)
  * make bible-kjv-text only Recommend bible-kjv rather than depending on
    it, to remove the circular dependency (closes: #626321)

 -- Matthew Vernon <matthew@debian.org>  Sat, 25 Jun 2011 13:28:02 +0100
