=== debian/rules ===
--- 
+++ 
@@ -61,9 +61,19 @@
 	install -d debian/tmp/usr/share/man/man1
 	install -d debian/tmp/usr/bin debian/tmp/usr/lib
 	make install DEST=debian/tmp/usr
-	install -s -m 755 debian/randverse debian/tmp/usr/bin
-	install -s -m 755 bible debian/tmp/usr/bin
-	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1
+	#Is nostrip set in DEB_BUILD_OPTIONS?
+	case "$$DEB_BUILD_OPTIONS" in \
+	*nostrip*)\
+	install -m 755 debian/randverse debian/tmp/usr/bin && \
+	install -m 755 bible debian/tmp/usr/bin && \
+	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1 \
+	;; \
+	*) \
+	install -s -m 755 debian/randverse debian/tmp/usr/bin && \
+	install -s -m 755 bible debian/tmp/usr/bin && \
+	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1 \
+	;; \
+	esac
 	cp debian/notes debian/copyright debian/tmp/usr/share/doc/$(package)/.
 	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog
 	cp README* debian/README* debian/tmp/usr/share/doc/$(package)
