## bible-kjv 4.27

=== debian/changelog ===
bible-kjv (4.27) unstable; urgency=low

  * Make build reproducible (patch from Chris Lamb) (Closes: #777294)

 -- Matthew Vernon <matthew@debian.org>  Sun, 17 May 2015 13:44:48 +0100
