## bible-kjv 4.28

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,8 @@
 # I use environment variables for these...
 #CFLAGS	      = -g
 CFLAGS	      = -Wall -Wformat -Werror -Wshadow -W -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wcast-align -Wcast-qual -Wbad-function-cast -Wpointer-arith -g2 -ggdb -DDESTLIB=\"$(DESTLIB)\"
-LDFLAGS       = -lreadline
+LDFLAGS       = 
+LDADD         = -lreadline
 
 # release directories.  Nobody should care about this but me
 FTPHOME	      = /mnt/ftp
@@ -201,7 +202,7 @@
 ###############################################################################
 $(PROGRAM):	$(PROGOBJS)
 		@echo "Linking $@ ..."
-		@$(LD) $(LDFLAGS) $(PROGOBJS) -o $@
+		@$(LD) $(LDFLAGS) $(PROGOBJS) $(LDADD) -o $@
 		@echo "done"
 
 
@@ -418,4 +419,3 @@
 
 # The "relinstall" target puts all the pieces of a new release into place on 
 # my home distribution machine.  Probably nobody else will want this...
-relinstall: $(PROGRAM) $(DATA) $(DATA).conc $(TARFILES) \
