=== debian/changelog ===
bible-kjv (4.28) unstable; urgency=low

  * patch from Adam Borowski to fix FTBFS on x32 (Closes: #700012)

 -- Matthew Vernon <matthew@debian.org>  Thu, 18 Feb 2016 18:34:45 +0000
