## bible-kjv 4.29build1

=== debian/changelog ===
bible-kjv (4.29build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 11:58:44 +0000
