## bible-kjv 4.30

=== debian/changelog ===
bible-kjv (4.30) unstable; urgency=medium

  * Fix string overflow bug found by gcc-8 (Closes: #897712)

 -- Matthew Vernon <matthew@debian.org>  Sat, 12 May 2018 10:03:54 +0100
