=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bible-kjv
 Section: doc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthew Vernon <matthew@debian.org>
+Maintainer: Matthew Vernon <matthew@debian.org>
 Build-Depends: libreadline-dev
 Standards-Version: 3.5.6
