## bible-kjv 4.30build1

=== debian/changelog ===
bible-kjv (4.30build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 19:58:10 +0000
