=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,10 @@
 	$(MAKE) all
 	cd debian && gcc -g -O2 -o randverse randverse.c
 	touch build
+
+build-arch: build
+
+build-indep: build
 
 clean:
 	$(checkdir)
@@ -104,4 +108,4 @@
 	$(checkdir)
 	test root = "`whoami`"
 
-.PHONY: binary binary-arch binary-indep clean checkroot
+.PHONY: binary binary-arch binary-indep clean checkroot build-arch build-indep
