## bible-kjv 4.32

=== debian/changelog ===
bible-kjv (4.32) unstable; urgency=medium

  * Patch from Helmut Grohne to fix FTCBFS: (Closes: #947616)
    + Let dh_auto_build pass cross tools to make.
    + Additionally override LD.
    + Keep building the build tools for the build architecture.
    + Seed the compiler used for randverse from dpkg's buildtools.mk.
    + Use dh_strip as it uses the correct cross tool.

 -- Matthew Vernon <matthew@debian.org>  Sun, 21 Feb 2021 16:05:00 +0000

bible-kjv (4.31) unstable; urgency=medium

  * Relicence GPL-2 code to GPL-2+ (my code and that of Oliver
    Elphick, who has agreed) (Closes: #977639)
  * Bump standards-version

 -- Matthew Vernon <matthew@debian.org>  Thu, 24 Dec 2020 13:26:42 +0000
