=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,17 @@
 # dpkg-buildpackage in a package-independent way, and so these targets
 # are obsolete.
 
+include /usr/share/dpkg/architecture.mk
+-include /usr/share/dpkg/buildtools.mk
+
 package=bible-kjv
 
 build:
 	$(checkdir)
-	$(MAKE) all
-	cd debian && gcc -g -O2 -o randverse randverse.c
+	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build -- bible-index.c bible.data bible.data.conc 'LD=$$(CC)'
+	rm -f *.o
+	dh_auto_build -- bible 'LD=$$(CC)'
+	cd debian && $(CC) -g -O2 -o randverse randverse.c
 	touch build
 
 build-arch: build
@@ -65,19 +70,10 @@
 	install -d debian/tmp/usr/share/man/man1
 	install -d debian/tmp/usr/bin debian/tmp/usr/lib
 	make install DEST=debian/tmp/usr
-	#Is nostrip set in DEB_BUILD_OPTIONS?
-	case "$$DEB_BUILD_OPTIONS" in \
-	*nostrip*)\
-	install -m 755 debian/randverse debian/tmp/usr/bin && \
-	install -m 755 bible debian/tmp/usr/bin && \
-	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1 \
-	;; \
-	*) \
-	install -s -m 755 debian/randverse debian/tmp/usr/bin && \
-	install -s -m 755 bible debian/tmp/usr/bin && \
-	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1 \
-	;; \
-	esac
+	install -m 755 debian/randverse debian/tmp/usr/bin
+	install -m 755 bible debian/tmp/usr/bin
+	install -m 644 debian/randverse.1 debian/tmp/usr/share/man/man1
+	dh_strip -p$(package) --tmpdir=debian/tmp
 	cp debian/notes debian/copyright debian/tmp/usr/share/doc/$(package)/.
 	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog
 	cp README* debian/README* debian/tmp/usr/share/doc/$(package)
