## bible-kjv 4.34

=== debian/changelog ===
bible-kjv (4.34) unstable; urgency=medium

  * Check for error return value

 -- Matthew Vernon <matthew@debian.org>  Mon, 19 Jul 2021 12:36:43 +0100

bible-kjv (4.33) unstable; urgency=medium

  * Make the build not run in parallel 
  * Use bible.rawtext to build concordance (Closes: #991133)

 -- Matthew Vernon <matthew@debian.org>  Mon, 19 Jul 2021 12:10:28 +0100
