## bible-kjv 4.34+deb11u1

=== debian/changelog ===
bible-kjv (4.34+deb11u1) bullseye; urgency=medium

  * Fix off-by-one-error in search (Closes: #1005856)

 -- Matthew Vernon <matthew@debian.org>  Wed, 16 Feb 2022 11:15:11 +0000
