## bible-kjv 4.37

=== debian/changelog ===
bible-kjv (4.37) unstable; urgency=medium

  * Correct function signature of shortuniv_assign (Closes: #983989)

 -- Matthew Vernon <matthew@debian.org>  Tue, 12 Oct 2021 08:59:18 +0100

bible-kjv (4.36) unstable; urgency=medium

  * Add tests for use with autopkgtest

 -- Matthew Vernon <matthew@debian.org>  Sun, 22 Aug 2021 12:23:02 +0100

bible-kjv (4.35) unstable; urgency=medium

  * Fix off-by-one error in line numbers (and thus concordance)
  * Update release_version

 -- Matthew Vernon <matthew@debian.org>  Sat, 21 Aug 2021 18:02:31 +0100
