=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
-Build-Depends: libreadline-dev
-Standards-Version: 3.5.6
+Build-Depends: libreadline-dev, debhelper-compat (= 12)
+Standards-Version: 4.5.1
 
 Package: bible-kjv
 Architecture: any
-Depends: ${shlibs:Depends}, bible-kjv-text
+Depends: ${shlibs:Depends}, ${misc:Depends}, bible-kjv-text
 Conflicts: verse (<= 0.20)
 Suggests: verse
 Description: King James Version of the Bible: user interface program.
@@ -21,6 +21,7 @@
 
 Package: bible-kjv-text
 Architecture: all
+Depends: ${misc:Depends}
 Recommends: bible-kjv
 Conflicts: bible-kjv (<< 4.00-5)
 Description: King James Version of the Bible - text and concordance
