=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,9 @@
 
 build:
 	$(checkdir)
-	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build -- bible-index.c bible.data bible.data.conc 'LD=$$(CC)'
+	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build --no-parallel -- bible-index.c bible.data bible.data.conc 'LD=$$(CC)'
 	rm -f *.o
-	dh_auto_build -- bible 'LD=$$(CC)'
+	dh_auto_build --no-parallel -- bible 'LD=$$(CC)'
 	cd debian && $(CC) -g -O2 -o randverse randverse.c
 	touch build
