## bible-kjv 4.38

=== debian/changelog ===
bible-kjv (4.38) unstable; urgency=medium

  * Patches from Vagrant Cascadian to use -ffile-prefix-map to make build
    reproducible (Closes: #1020813)

 -- Matthew Vernon <matthew@debian.org>  Fri, 30 Sep 2022 15:22:50 +0100
