=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bible-kjv
 Section: doc
 Priority: optional
-Maintainer: Matthew Vernon <matthew@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew Vernon <matthew@debian.org>
 Build-Depends: libreadline-dev, debhelper-compat (= 12)
 Standards-Version: 4.5.1
