=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build --no-parallel -- bible-index.c bible.data bible.data.conc 'LD=$$(CC)'
 	rm -f *.o
 	dh_auto_build --no-parallel -- bible 'LD=$$(CC)'
-	cd debian && $(CC) -g -O2 -o randverse randverse.c
+	cd debian && $(CC) -g -O2 -ffile-prefix-map=$(CURDIR)=. -o randverse randverse.c
 	touch build
 
 build-arch: build
